# Документация на добавките (Add-ons documentation) #

## Информация ##
* Автори: Rui Fontes, Ângelo Abrantes, Zougane, Remy, Abdel и сътрудничеството на James Scholes
* Обновено на 10.03.2023 г.
* Изтегляне на [стабилна версия][1]
* Съвместимост с NVDA: от 2019.3 и по-нови


## Представяне ##
Тази добавка осигурява бърз начин за достъп до документацията за инсталираните добавки. Тя създава в менюто за помощ на NVDA две подменюта. Едното е наречено \"Документация на работещите добавки\", групира документацията за всяка добавка и предоставя списък с команди за всички работещи добавки, с таблица за всяка добавка. Другото подменю, наречено \"Документация на изключените добавки\", изброява изключените добавки и предоставя достъп до документацията им. Моля, не забравяйте, че добавките за драйвери на речеви синтезатори и брайл няма да се появяват в нито една от горните категории. Обърнете внимание, че можете също да получите достъп до документацията за добавките чрез мениджъра за добавки в NVDA, в менюто \"Инструменти\". Тук имате и информация за състоянието на всяка добавка. Също така не забравяйте, че можете да получите достъп до командите на NVDA и добавките в диалоговия прозорец \"Жестове на въвеждане\". Въпреки това, в този прозорец командите за добавки не са групирани и не можете да намерите команда, съдържаща например \"Windows\".


## Промени ##


### Версия 2022.03 ###
* Съвместимост с NVDA 2022.1

### Версия 21.05 ###
* Съвместимост с NVDA 2021.1

### Версия 2.1 ###
* Съвместимост с NVDA 2019.3

### Версия 2.0 ###
* Към момента, добавката създава две менюта в менюто \"Помощ\" на NVDA.
* В менюто \"Документация на работещите добавки\" има още една опция за показване на \"Списък с команди на работещите добавки\", съдържащо в табличен вид командите за всяка добавка.
* Менюто \"Документация на изключените добавки\" групира само изключените добавки с помощна документация.
* Имайте предвид, че добавките за драйвери на речеви синтезатори и брайл не се извеждат в гореизброените менюта.
* Добавките сега биват представени чрез тяхното резюме, а не чрез името им.
* Поправени разни грешки в кода.

### Версия 1.2 ###
* Отстранени са дребни проблеми;
* Поправена е грешка при внасяне на името за подменюто от описанието на добавката;
* Форсирай отварянето на документацията да се осъществи в браузъра по подразбиране, ако е възможно – в нов прозорец.

### Версия 1.1 ###
* Добавена е съвместимост с Python 3.
* Нов метод за добавяне на подменютата.
* Елементите в менюто сега използват резюметата на добавките, за да се показват те на езика на интерфейса, когато това е възможно.

### Версия 1.0 ###
Първо издание от Zougane, Remy и Abdel, обновено с цел съвместимост с NVDA 2019.1.


[1]: https://github.com/ruifontes/addonsHelp/releases/download/2023.09.21/addonsHelp-2023.09.21.nvda-addon
